﻿using Syncfusion.Pdf;
using Syncfusion.Pdf.Barcode;
using Syncfusion.Pdf.Graphics;
using Syncfusion.Pdf.Interactive;
using Syncfusion.Pdf.Parsing;
using Syncfusion.Pdf.Security;
using System;
using System.Collections.Generic;
using System.Diagnostics;
using System.Drawing;
using System.IO;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace PdfSample
{
    class Program
    {
        static void Main(string[] args)
        {
            //Drawing QR Barcode
            PdfQRBarcode barcode = new PdfQRBarcode();

            //Set Error Correction Level
            barcode.ErrorCorrectionLevel = PdfErrorCorrectionLevel.High;

            //Set XDimension
            barcode.XDimension = 3;
            barcode.Text = "Z6P200200002";

            //Creating new PDF Document
            PdfDocument doc = new PdfDocument();

            doc.PageSettings.Width = 400;
            doc.PageSettings.Height = 575;

            for(int i=0; i<200;i++)
            {
                float height = 100;
                PdfPage page = doc.Pages.Add();
                float width = page.GetClientSize().Width / 3;
                //Printing barcode on to the Pdf
                barcode.Draw(page, new PointF(0, 0));
                barcode.Draw(page, new PointF(width, 0));
                width += width;
                barcode.Draw(page, new PointF(width, 0));

                width = page.GetClientSize().Width / 3;
                barcode.Draw(page, new PointF(0, height));
                barcode.Draw(page, new PointF(width, height));
                width += width;
                barcode.Draw(page, new PointF(width, height));

                height += 100;
                width = page.GetClientSize().Width / 3;
                barcode.Draw(page, new PointF(0, height));
                barcode.Draw(page, new PointF(width, height));
                width += width;
                barcode.Draw(page, new PointF(width, height));

                height += 100;
                width = page.GetClientSize().Width / 3;
                barcode.Draw(page, new PointF(0, height));
                barcode.Draw(page, new PointF(width, height));
                width += width;
                barcode.Draw(page, new PointF(width, height));

                height += 100;
                width = page.GetClientSize().Width / 3;
                barcode.Draw(page, new PointF(0, height));
                barcode.Draw(page, new PointF(width, height));
                width += width;
                barcode.Draw(page, new PointF(width, height));
            }         

            //Saving the Document
            doc.Save("QRBarcode.pdf");

            Process.Start("QRBarcode.pdf");
        }
    }
}
